#property show_inputs

#include <stderror.mqh>
#include <stdlib.mqh>

//parameternya ini, input-nya ini
extern double LOT =   0.5;
extern int    TP  =   12;
extern int    TP2 =   30;
extern int    SL  =   10;
//---------------------------
string        MySym    =     "";
int       MyDigits     =      5;
double    MyPoints     = 0.0001;


//+------------------------------------------------------------------+
//| Custom initialization function |
//+------------------------------------------------------------------+
int init()
  {
   MySym     = Symbol();   
   MyPoints  = MarketInfo( MySym, MODE_POINT  );
   MyDigits  = MarketInfo( MySym, MODE_DIGITS );
   //---
        if( MyPoints == 0.001   ) { MyPoints = 0.01;   MyDigits = 3; }
   else if( MyPoints == 0.00001 ) { MyPoints = 0.0001; MyDigits = 5; }
   
   return(0);
  }
//+------------------------------------------------------------------+
// +
//+------------------------------------------------------------------+
int start()
{
    RefreshRates();
    while( IsTradeContextBusy() ) { Sleep(100); }
//----
     double bStop  = NormalizeDouble(Ask - (SL  * MyPoints),MyDigits);
     double bProf1 = NormalizeDouble(Ask + (TP  * MyPoints),MyDigits);
     double bProf2 = NormalizeDouble(Ask + (TP2 * MyPoints),MyDigits);
      
     int bticket = OrderSend(MySym,OP_BUY,LOT,Ask,NormalizeDouble(3 * MyPoints,MyDigits),bStop,bProf1,"contest",1,0,CLR_NONE);
                  OrderSend(MySym,OP_BUY,LOT,Ask,NormalizeDouble(3 * MyPoints,MyDigits),bStop,bProf2,"contest",2,0,CLR_NONE);
         if(bticket<1)
            {
             int berror=GetLastError();
             Print("Error = ",ErrorDescription(berror));
             return(0);
            }
//----
   OrderPrint();
   
     double sStop  = NormalizeDouble(Bid + (SL  * MyPoints),MyDigits);
     double sProf1 = NormalizeDouble(Bid - (TP  * MyPoints),MyDigits);
     double sProf2 = NormalizeDouble(Bid - (TP2 * MyPoints),MyDigits);
      
     int sticket = OrderSend(MySym,OP_SELL,LOT,Bid,NormalizeDouble(3 * MyPoints,MyDigits),sStop,sProf1,"contest",1,0,CLR_NONE);
                  OrderSend(MySym,OP_SELL,LOT,Bid,NormalizeDouble(3 * MyPoints,MyDigits),sStop,sProf2,"contest",2,0,CLR_NONE);
         if(sticket<1)
            {
             int serror=GetLastError();
             Print("Error = ",ErrorDescription(serror));
             return(0);
            }
//----
   OrderPrint();
   
return(0);
}

